/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_SERVICE CONSTANT xxas_com_service_repository.service_name%TYPE
                       := 'PeformanceAutoSetup';

BEGIN

  xxas_com_sr_pkg.set_rest_service
    (p_service_name       => l_SERVICE
    ,p_description        => 'Performance Autosetup'
    ,p_path               => 'performance-auto-setup'
    ,p_consumes           => 'application/xml'
    ,p_produces           => 'application/xml'
    );
    
  xxas_com_sr_pkg.set_rest_method
    (p_service_name       => l_SERVICE
    ,p_method_name        => 'DoAutoSetup'
    ,p_description        => 'Starts AutoSetup'
    ,p_methods            => 'POST'
    ,p_plsql              =>
      q'[
          DECLARE
          
         
          l_resp           xxas_http_resp_obj;
          l_job_favorite  VARCHAR2(10);
          
        BEGIN
        
          IF xxas_wf_role_util_pkg.user_has_role
               ('UMX|XXAS_PERF_SETUP') = 'N'
          THEN
            l_resp := xxas_http_response
                        .status(xxas_http_resp_status_pkg.unauthorised)
                        .build();
          ELSE
            
            xxas_setup_perf_pkg.autosetup;
            
						l_resp := xxas_http_response
                        .ok(xxas_com_msg_pkg.get_success_message_xml
                             (xxas_com_msg_type
                               (xxas_util_pkg.app
                               ,'XXAS_AUTOSETUP_PERF_DONE', null)
                               ,'self'))
                        .build();            

          END IF;

          {response} := l_resp;
          
        END
      ]'
    );
  
END;
/
COMMIT;
EXIT;
